upgrade mysql 5.6 nach 5.7

Gesperrt
content-jan
Beiträge: 9
Registriert: Di 22. Sep 2015, 13:33
Kontaktdaten:

upgrade mysql 5.6 nach 5.7

Beitrag von content-jan » Sa 18. Jun 2016, 10:07

Hallo zusammen,
wer nach einem Upgrade nach mysql 5.7 folgenden Fehler im errlog hat:

Code: Alles auswählen

MySQL error 1055: Expression #3 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'contenido.d.startidartlang' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sql_mode=only_full_group_by
Hintergrund Punkt 5 hier: https://www.digitalocean.com/community/ ... -7-upgrade

Man kann sich mit dem Löschen des DISTINCT Parameters in der SQL-Abfrage in includes/include.con_str_overview.php helfen.

Der Fehler trat bei mir nach einem Upgrade auf ubuntu 16.04 auf, hier wurde das Baummenü im Backend-Bereich für Artikel nicht mehr angezeigt.

Bei meinem Datenbestand kamen 2 Antworten von der DB zurück, was entsprechend diesen Fehler warf.

Oldperl
Beiträge: 4160
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: upgrade mysql 5.6 nach 5.7

Beitrag von Oldperl » Mo 20. Jun 2016, 08:40

Servus,

vielen Dank für die Infos, das hilft mir sehr beim Umbau meiner 4.8er-Version nach PHP 7 und MySQL 5.7 weiter.

Gruß aus Franken

Ortwin
ConLite 2.1, alternatives und stabiles Update von Contenido 4.8.x unter PHP 7.x - Download und Repo auf Gitport.de
phpBO Search Advanced - das Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

Gesperrt